---
title: RTCIceCandidateStats.deleted
slug: Web/API/RTCIceCandidateStats/deleted
tags:
  - API
  - Candidate
  - Property
  - RTCIceCandidateStats
  - Reference
  - WebRTC
  - WebRTC API
  - deleted
---
<p>{{APIRef("WebRTC")}}<br>
<span class="seoSummary">The {{domxref("RTCIceCandidateStats")}} dictionary's <code><strong>deleted</strong></code> property indicates whether or not the candidate has been deleted or released.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>isDeleted</em> = <em>rtcIceCandidateStats</em>.deleted;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value indicating whether or not the candidate has been deleted or released. If this value is <code>true</code>, the candidate described by the {{domxref("RTCIceCandidateStats")}} object is no longer under consideration. dThe exact meaning varies depending on the type of candidate:</p>

<dl>
	<dt>Local candidate</dt>
	<dd>A value of <code>true</code> means the candidate has been deleted as described by {{RFC(5245, "8.3")}}.</dd>
	<dt>Host candidate</dt>
	<dd>A value of <code>true</code> indicates that the candidate's network resources have been released. This generally mean sthat any associated socket(s) have been closed and released.</dd>
	<dt>Remote (TURN) candidate</dt>
	<dd>A value of <code>true</code> means the candidate's {{Glossary("TURN")}} allocation is no longer active.</dd>
</dl>

<p>The net result is the same; the candidate is no longer under consideration if this value is <code>true</code>.</p>

<h2 id="Example">Example</h2>

<p>In this example, {{domxref("WindowOrWorkerGlobalScope.setInterval", "setInterval()")}} is used to set up a function that runs periodically to display the latest statistics for candidates. Only candidates which have not been deleted are included in the output.</p>

<pre class="brush: js">window.setInterval(function() {
  myPeerConnection.getStats(null).then(stats =&gt; {
    let statsOutput = "";

    stats.forEach(report =&gt; {
      if ((stats.type === "local-candidate" || stats.type === "remote.candidate") &amp;&amp; !stats.deleted) {
        statsOutput += `&lt;h2&gt;Report: ${report.type}&lt;/h3&gt;\n&lt;strong&gt;ID:&lt;/strong&gt; ${report.id}&lt;br&gt;\n` +
                       `&lt;strong&gt;Timestamp:&lt;/strong&gt; ${report.timestamp}&lt;br&gt;\n`;

        // Now the statistics for this report; we intentially drop the ones we
        // sorted to the top above

        Object.keys(report).forEach(statName =&gt; {
          if (statName !== "id" &amp;&amp; statName !== "timestamp" &amp;&amp; statName !== "type") {
            statsOutput += `&lt;strong&gt;${statName}:&lt;/strong&gt; ${report[statName]}&lt;br&gt;\n`;
          }
        });
      }
    });

    document.querySelector(".stats-box").innerHTML = statsOutput;
  });
}, 1000);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatestats-deleted', 'RTCIceCandidateStats.deleted') }}</td>
			<td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
			<td>Initial specification.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidateStats.deleted")}}</p>
